When installing phpedu profil, the following error appear :

PHP Fatal error: Declaration of Drupal\\media_entity\\Form\\MediaInlineForm::entityFormSubmit() must be compatible with Drupal\\inline_entity_form\\InlineFormInterface::entityFormSubmit(array &$entity_form, Drupal\\Core\\Form\\FormStateInterface $form_state) in /drupal_path/profiles/phpedu_profile/modules/contrib/media/media_entity/src/Form/MediaInlineForm.php on line 16

After replacing profiles/phpedu_profile/modules/contrib/media/media_entity by media_entity version 8.x-1.2, the installation process going through.

I suggest to upgrade the profile with the media_entity 8.x-1.2 and entity 8.x-1.0-alpha3
After that, everythings work fine

Thanks for all

Comments

ohmdesbois created an issue. See original summary.

ohmdesbois’s picture

Issue summary: View changes